ContainerDeserializerBase
Date: 2016-12-04

com.fasterxml.jackson.databind.deser.std

## Class ContainerDeserializerBase<T>

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.ContainerDeserializerBase<T>

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    CollectionDeserializer, EnumMapDeserializer, MapDeserializer, MapEntryDeserializer, ObjectArrayDeserializer, StringCollectionDeserializer

      public abstract class ContainerDeserializerBase<T>
      extends StdDeserializer<T>

  Intermediate base deserializer class that adds more shared accessor so that other classes can access information about contained (value) types
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `JsonDeserializer.None`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

      `_valueClass, F_MASK_INT_COERCIONS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContainerDeserializerBase(JavaType selfType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SettableBeanProperty` | `findBackReference(java.lang.String refName)` Method needed by `BeanDeserializerFactory` to properly link managed- and back-reference pairs.
    `abstract JsonDeserializer<java.lang.Object>` | `getContentDeserializer()` Accesor for deserializer use for deserializing content values.
    `abstract JavaType` | `getContentType()` Accessor for declared type of contained value elements; either exact type, or one of its supertypes.
    `protected void` | `wrapAndThrow(java.lang.Throwable t, java.lang.Object ref, java.lang.String key)` Helper method called by various Map(-like) deserializers.

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

      `_coerceIntegral, _deserializeFromEmpty, _failDoubleToIntCoercion, _hasTextualNull, _isIntNumber, _isNaN, _isNegInf, _isPosInf, _parseBoolean, _parseBooleanFromInt, _parseBooleanFromOther, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, deserializeWithType, findConvertingContentDeserializer, findDeserializer, findFormatFeature, findFormatOverrides, getValueClass, getValueType, handledType, handleMissingEndArrayForSingle, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserialize, deserialize, getDelegatee, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullValue, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerDeserializerBase

          protected ContainerDeserializerBase(JavaType selfType)

  - ### Method Detail

    - #### findBackReference

          public SettableBeanProperty findBackReference(java.lang.String refName)

      Description copied from class: `JsonDeserializer`
      Method needed by `BeanDeserializerFactory` to properly link managed- and back-reference pairs.
      Overrides:
        `findBackReference` in class `JsonDeserializer<T>`

    - #### getContentType

          public abstract JavaType getContentType()

      Accessor for declared type of contained value elements; either exact type, or one of its supertypes.

    - #### getContentDeserializer

          public abstract JsonDeserializer<java.lang.Object> getContentDeserializer()

      Accesor for deserializer use for deserializing content values.

    - #### wrapAndThrow

          protected void wrapAndThrow(java.lang.Throwable t,
                          java.lang.Object ref,
                          java.lang.String key)
                               throws java.io.IOException

      Helper method called by various Map(-like) deserializers.
      Throws:
        `java.io.IOException`